A board with Atari SOUL!!!! (ROM in block ram support)

05/31/2017 02:56 PM - sadosp

Status: Closed Start date: 05/31/2017

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:    

Description

What I would like to see from Mark sometime in the future, is to integrate the Atari OS in the flash ram.

Dream for the day who I will push the power switch, and I will see the "Basic" blue screen, without the need of SD card.

A board with Atari SOUL!!!!

Related issues:

Related to Feature #37: SD card insertion support Closed 06/03/2017

History

#1 - 05/31/2017 03:09 PM - foft

- Priority changed from Normal to High

#2 - 05/31/2017 07:06 PM - foft

- Subject changed from A board with Atari SOUL!!!! to A board with Atari SOUL!!!! (ROM in block ram support)

#3 - 05/31/2017 07:57 PM - sadosp

sadosp wrote:

What I would like to see from Mark sometime in the future, is to integrate the Atari OS in the flash ram.

Dream for the day who I will push the power switch, and I will see the "Basic" blue screen, without the need of SD card.

A board with Atari SOUL!!!!

 ?????

#4 - 05/31/2017 08:10 PM - foft

I'll start by a default one in block ram, (optionally overriden by sd card). Then later we can add support for the flash reading.

#5 - 05/31/2017 08:17 PM - sadosp

foft wrote:

I'll start by a default one in block ram, (optionally overriden by sd card). Then later we can add support for the flash reading.

 Thanks!

#6 - 07/07/2017 09:26 PM - foft

Also of course nice and fast vs uncached sdram...

sysinfo fp test from 6x->20x :-) I probably need a cache to get this closer to 30-40x, but that will take some work.

#7 - 07/07/2017 11:05 PM - sadosp

??? What you mean here?

#8 - 07/09/2017 01:25 PM - foft

I'm using block ram in the FPGA for the OS ROM and BASIC. It can be read in 2 cycles and written to in 1 cycle. SDRAM takes about 5-6 iirc. So in

turbo mode, with no cpu cache, this makes a huge difference in speed.

#9 - 02/08/2018 07:56 PM - foft

- Status changed from New to In Progress
#10 - 02/08/2018 09:05 PM - foft

- Related to Feature #37: SD card insertion support added

#11 - 02/08/2018 09:06 PM - foft

- Status changed from In Progress to Closed

Added basic support, see related issue.

I still plan to do the flash reading later.
